Loading...
 

Tikiwiki-devel (mailman list mirror)


some composer problems switching to trunk from 14.x

posts: 829 United Kingdom

Hi - I've just 'switched' one of my test sites to svn trunk from svn 14.x
(getting ready for 15.x branch testing) and I am now having problems when I
run composer - which I do by running doc/devtools/svnup.sh.



The original 14.x branch ran fine and the site is now on trunk 57239



First problem:



Composer\Downloader\TransportException


The "https://github.com/Mottie/tablesorter/archive/v2.25.0.zip" file could
not be downloaded: Peer certificate CN=`*.github.com' did not match expected
CN=`github.com'

Failed to enable crypto


failed to open stream: operation failed using CN=




install --prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev
--no-plugins] [--no-custom-install ers
--no-autoloader] [--no-scripts] [--no-progress] [-v|vv|vvv|--verbose
--optimize-autoloader -

-classmap-authoritative --ignore-platform-reqs] [-- <packages>...






2nd more serious problem since the site no longer runs and I just get this
fatal error:





Fatal error: Class 'Zend\Config\Config' not found in
/home/xxxxxxx/opendev4.enmoreservices.com/db/tiki-db.php on line 73



Looking at the code this is the block from lines 72-79



global $systemConfiguration;

$systemConfiguration = new Zend\Config\Config(

array(

'preference' => array(),

'rules' => array(),

),

array('readOnly' => false)

);







Need some help/suggestions



Thanks



geoff




-----
No virus found in this message.
Checked by AVG - www.avg.com
Version: 2016.0.7294 / Virus Database: 4489/11420 - Release Date: 01/17/16

posts: 126257 United Kingdom

Hi Geoff and all

Yes, this nearly scuppered yesterday's release marathon (but thanks to Nelson for persisting and hacking his way round it - new version of 14, 12, 9 and 6 to test - more on that soon!).

We're pretty certain it's not a tiki issue, something between composer and github, if you need to you can hack your composer.lock file adding "codeload." in front of all the github.com urls (i think). Is this not also happening in trunk too?

Investigating... more soon.

jonny



> On 17 Jan 2016, at 09:10, Geoff - Enmore Services <geoff@enmoreservices.com> wrote:
>
> Hi – I've just 'switched' one of my test sites to svn trunk from svn 14.x (getting ready for 15.x branch testing) and I am now having problems when I run composer – which I do by running doc/devtools/svnup.sh.
>
> The original 14.x branch ran fine and the site is now on trunk 57239
>
> First problem:
>
> Composer\Downloader\TransportException
> The "https://github.com/Mottie/tablesorter/archive/v2.25.0.zip" file could not be downloaded: Peer certificate CN=`*.github.com' did not match expected CN=`github.com'
> Failed to enable crypto
> failed to open stream: operation failed using CN=
>

> install --prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-plugins] [--no-custom-install ers] [--no-autoloader] [--no-scripts] [--no-progress] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|- -classmap-authoritative] [--ignore-platform-reqs] [-- <packages>...

>
>
> 2nd more serious problem since the site no longer runs and I just get this fatal error:
>
>
> Fatal error: Class 'Zend\Config\Config' not found in /home/xxxxxxx/opendev4.enmoreservices.com/db/tiki-db.php on line 73
>
> Looking at the code this is the block from lines 72-79
>
> global $systemConfiguration;
> $systemConfiguration = new Zend\Config\Config(
> array(
> 'preference' => array(),
> 'rules' => array(),
> ),
> array('readOnly' => false)
> );
>
>
>
> Need some help/suggestions
>
> Thanks
>
> geoff
> No virus found in this message.
> Checked by AVG - www.avg.com
> Version: 2016.0.7294 / Virus Database: 4489/11420 - Release Date: 01/17/16
>
> ------------------------------------------------------------------------------
> Site24x7 APM Insight: Get Deep Visibility into Application Performance
> APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
> Monitor end-to-end web transactions and take corrective actions now
> Troubleshoot faster and improve end-user experience. Signup Now!
> http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140___
> TikiWiki-devel mailing list
> TikiWiki-devel at lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel


------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140
___
TikiWiki-devel mailing list
TikiWiki-devel at lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel

Hi all,

This is a composer-Github issue. The bug report is here:
https://github.com/composer/composer/issues/4782

The workaround I have used (temporarily, as composer might in fact fix it
soon based on the reply to the bug report above) is to change the instances
of "dist" type "zip" that point to github "urls" as follows. You do NOT
need to change all the github addresses, only the ones that point to "dist"
and "url". But please do NOT commit this change (as it's still a moving
target to solve this at the moment and that will probably be messed up once
composer.lock is regenerated anyway).

"dist": {

"type": "zip",

- "url": "
https://github.com/blueimp/JavaScript-MD5/archive/1.1.0.zip",

+ "url": "https://codeload.github.com/blueimp/JavaScript-MD5/zip/1.1.0",




On Jan 17, 2016 7:26 AM, "Jonny Bradley" <jonny@tiki.org> wrote:

> Hi Geoff and all
>
> Yes, this nearly scuppered yesterday's release marathon (but thanks to
> Nelson for persisting and hacking his way round it - new version of 14, 12,
> 9 and 6 to test - more on that soon!).
>
> We're pretty certain it's not a tiki issue, something between composer and
> github, if you need to you can hack your composer.lock file adding
> "codeload." in front of all the github.com urls (i think). Is this not
> also happening in trunk too?
>
> Investigating... more soon.
>
> jonny
>
>
>
> > On 17 Jan 2016, at 09:10, Geoff - Enmore Services <
> geoff at enmoreservices.com> wrote:
> >
> > Hi – I've just 'switched' one of my test sites to svn trunk from svn
> 14.x (getting ready for 15.x branch testing) and I am now having problems
> when I run composer – which I do by running doc/devtools/svnup.sh.
> >
> > The original 14.x branch ran fine and the site is now on trunk 57239
> >
> > First problem:
> >
> > Composer\Downloader\TransportException
> > The "https://github.com/Mottie/tablesorter/archive/v2.25.0.zip" file
> could not be downloaded: Peer certificate CN=`*.github.com' did not match
> expected CN=`github.com'
> > Failed to enable crypto
> > failed to open stream: operation failed using CN=
> >
> > install --prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev
> --no-plugins] [--no-custom-install ers
> --no-autoloader] [--no-scripts] [--no-progress] [-v|vv|vvv|--verbose
> --optimize-autoloader -

> -classmap-authoritative --ignore-platform-reqs] [-- <packages>...

> >
> >
> > 2nd more serious problem since the site no longer runs and I just get
> this fatal error:
> >
> >
> > Fatal error: Class 'Zend\Config\Config' not found in /home/xxxxxxx/
> opendev4.enmoreservices.com/db/tiki-db.php on line 73
> >
> > Looking at the code this is the block from lines 72-79
> >
> > global $systemConfiguration;
> > $systemConfiguration = new Zend\Config\Config(
> > array(
> > 'preference' => array(),
> > 'rules' => array(),
> > ),
> > array('readOnly' => false)
> > );
> >
> >
> >
> > Need some help/suggestions
> >
> > Thanks
> >
> > geoff
> > No virus found in this message.
> > Checked by AVG - www.avg.com
> > Version: 2016.0.7294 / Virus Database: 4489/11420 - Release Date:
> 01/17/16
> >
> >
> ------------------------------------------------------------------------------
> > Site24x7 APM Insight: Get Deep Visibility into Application Performance
> > APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
> > Monitor end-to-end web transactions and take corrective actions now
> > Troubleshoot faster and improve end-user experience. Signup Now!
> >
> http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140___
> > TikiWiki-devel mailing list
> > TikiWiki-devel at lists.sourceforge.net
> > https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel
>
>
>
> ------------------------------------------------------------------------------
> Site24x7 APM Insight: Get Deep Visibility into Application Performance
> APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
> Monitor end-to-end web transactions and take corrective actions now
> Troubleshoot faster and improve end-user experience. Signup Now!
> http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140
> ___
> TikiWiki-devel mailing list
> TikiWiki-devel at lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel

posts: 126257 United Kingdom

Thanks to Nelson again for investigating and chasing this on https://github.com/composer/composer/issues/4782 - looks like it's fixed now so running setup.sh again should update you and run ok (seems good for me and Nelson)

jb


> On 17 Jan 2016, at 13:17, Nelson Ko <nelson@synergiqsolutions.com> wrote:
>
> Hi all,
>
> This is a composer-Github issue. The bug report is here: https://github.com/composer/composer/issues/4782
>
> The workaround I have used (temporarily, as composer might in fact fix it soon based on the reply to the bug report above) is to change the instances of "dist" type "zip" that point to github "urls" as follows. You do NOT need to change all the github addresses, only the ones that point to "dist" and "url". But please do NOT commit this change (as it's still a moving target to solve this at the moment and that will probably be messed up once composer.lock is regenerated anyway).
>
> "dist": {
>
> "type": "zip",
>
> - "url": "https://github.com/blueimp/JavaScript-MD5/archive/1.1.0.zip",
>
>
> + "url": "https://codeload.github.com/blueimp/JavaScript-MD5/zip/1.1.0",
>
>
>
>
> On Jan 17, 2016 7:26 AM, "Jonny Bradley" <jonny@tiki.org> wrote:
>> Hi Geoff and all
>>
>> Yes, this nearly scuppered yesterday's release marathon (but thanks to Nelson for persisting and hacking his way round it - new version of 14, 12, 9 and 6 to test - more on that soon!).
>>
>> We're pretty certain it's not a tiki issue, something between composer and github, if you need to you can hack your composer.lock file adding "codeload." in front of all the github.com urls (i think). Is this not also happening in trunk too?
>>
>> Investigating... more soon.
>>
>> jonny
>>
>>
>>
>> > On 17 Jan 2016, at 09:10, Geoff - Enmore Services <geoff@enmoreservices.com> wrote:
>> >
>> > Hi – I've just 'switched' one of my test sites to svn trunk from svn 14.x (getting ready for 15.x branch testing) and I am now having problems when I run composer – which I do by running doc/devtools/svnup.sh.
>> >
>> > The original 14.x branch ran fine and the site is now on trunk 57239
>> >
>> > First problem:
>> >
>> > Composer\Downloader\TransportException
>> > The "https://github.com/Mottie/tablesorter/archive/v2.25.0.zip" file could not be downloaded: Peer certificate CN=`*.github.com' did not match expected CN=`github.com'
>> > Failed to enable crypto
>> > failed to open stream: operation failed using CN=
>> >

>> > install --prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-plugins] [--no-custom-install ers] [--no-autoloader] [--no-scripts] [--no-progress] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|- -classmap-authoritative] [--ignore-platform-reqs] [-- <packages>...

>> >
>> >
>> > 2nd more serious problem since the site no longer runs and I just get this fatal error:
>> >
>> >
>> > Fatal error: Class 'Zend\Config\Config' not found in /home/xxxxxxx/opendev4.enmoreservices.com/db/tiki-db.php on line 73
>> >
>> > Looking at the code this is the block from lines 72-79
>> >
>> > global $systemConfiguration;
>> > $systemConfiguration = new Zend\Config\Config(
>> > array(
>> > 'preference' => array(),
>> > 'rules' => array(),
>> > ),
>> > array('readOnly' => false)
>> > );
>> >
>> >
>> >
>> > Need some help/suggestions
>> >
>> > Thanks
>> >
>> > geoff
>> > No virus found in this message.
>> > Checked by AVG - www.avg.com
>> > Version: 2016.0.7294 / Virus Database: 4489/11420 - Release Date: 01/17/16
>> >
>> > ------------------------------------------------------------------------------
>> > Site24x7 APM Insight: Get Deep Visibility into Application Performance
>> > APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
>> > Monitor end-to-end web transactions and take corrective actions now
>> > Troubleshoot faster and improve end-user experience. Signup Now!
>> > http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140___
>> > TikiWiki-devel mailing list
>> > TikiWiki-devel at lists.sourceforge.net
>> > https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel
>>
>>
>> ------------------------------------------------------------------------------
>> Site24x7 APM Insight: Get Deep Visibility into Application Performance
>> APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
>> Monitor end-to-end web transactions and take corrective actions now
>> Troubleshoot faster and improve end-user experience. Signup Now!
>> http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140
>> ___
>> TikiWiki-devel mailing list
>> TikiWiki-devel at lists.sourceforge.net
>> https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel
> ------------------------------------------------------------------------------
> Site24x7 APM Insight: Get Deep Visibility into Application Performance
> APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
> Monitor end-to-end web transactions and take corrective actions now
> Troubleshoot faster and improve end-user experience. Signup Now!
> http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140___
> TikiWiki-devel mailing list
> TikiWiki-devel at lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel


------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140
___
TikiWiki-devel mailing list
TikiWiki-devel at lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel

Fixed now: see https://github.com/composer/composer/issues/4782

On Sun, Jan 17, 2016 at 8:17 AM, Nelson Ko <nelson@synergiqsolutions.com>
wrote:

> Hi all,
>
> This is a composer-Github issue. The bug report is here:
> https://github.com/composer/composer/issues/4782
>
> The workaround I have used (temporarily, as composer might in fact fix it
> soon based on the reply to the bug report above) is to change the instances
> of "dist" type "zip" that point to github "urls" as follows. You do NOT
> need to change all the github addresses, only the ones that point to "dist"
> and "url". But please do NOT commit this change (as it's still a moving
> target to solve this at the moment and that will probably be messed up once
> composer.lock is regenerated anyway).
>
> "dist": {
>
> "type": "zip",
>
> - "url": "
> https://github.com/blueimp/JavaScript-MD5/archive/1.1.0.zip",
>
> + "url": "https://codeload.github.com/blueimp/JavaScript-MD5/zip/1.1.0",
>
>
>
> On Jan 17, 2016 7:26 AM, "Jonny Bradley" <jonny@tiki.org> wrote:
>
>> Hi Geoff and all
>>
>> Yes, this nearly scuppered yesterday's release marathon (but thanks to
>> Nelson for persisting and hacking his way round it - new version of 14, 12,
>> 9 and 6 to test - more on that soon!).
>>
>> We're pretty certain it's not a tiki issue, something between composer
>> and github, if you need to you can hack your composer.lock file adding
>> "codeload." in front of all the github.com urls (i think). Is this not
>> also happening in trunk too?
>>
>> Investigating... more soon.
>>
>> jonny
>>
>>
>>
>> > On 17 Jan 2016, at 09:10, Geoff - Enmore Services <
>> geoff at enmoreservices.com> wrote:
>> >
>> > Hi – I've just 'switched' one of my test sites to svn trunk from svn
>> 14.x (getting ready for 15.x branch testing) and I am now having problems
>> when I run composer – which I do by running doc/devtools/svnup.sh.
>> >
>> > The original 14.x branch ran fine and the site is now on trunk 57239
>> >
>> > First problem:
>> >
>> > Composer\Downloader\TransportException
>> > The "https://github.com/Mottie/tablesorter/archive/v2.25.0.zip" file
>> could not be downloaded: Peer certificate CN=`*.github.com' did not
>> match expected CN=`github.com'
>> > Failed to enable crypto
>> > failed to open stream: operation failed using CN=
>> >
>> > install --prefer-source] [--prefer-dist] [--dry-run] [--dev
>> --no-dev] [--no-plugins] [--no-custom-install ers
>> --no-autoloader] [--no-scripts] [--no-progress] [-v|vv|vvv|--verbose
>> --optimize-autoloader -

>> -classmap-authoritative --ignore-platform-reqs] [-- <packages>...

>> >
>> >
>> > 2nd more serious problem since the site no longer runs and I just get
>> this fatal error:
>> >
>> >
>> > Fatal error: Class 'Zend\Config\Config' not found in /home/xxxxxxx/
>> opendev4.enmoreservices.com/db/tiki-db.php on line 73
>> >
>> > Looking at the code this is the block from lines 72-79
>> >
>> > global $systemConfiguration;
>> > $systemConfiguration = new Zend\Config\Config(
>> > array(
>> > 'preference' => array(),
>> > 'rules' => array(),
>> > ),
>> > array('readOnly' => false)
>> > );
>> >
>> >
>> >
>> > Need some help/suggestions
>> >
>> > Thanks
>> >
>> > geoff
>> > No virus found in this message.
>> > Checked by AVG - www.avg.com
>> > Version: 2016.0.7294 / Virus Database: 4489/11420 - Release Date:
>> 01/17/16
>> >
>> >
>> ------------------------------------------------------------------------------
>> > Site24x7 APM Insight: Get Deep Visibility into Application Performance
>> > APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
>> > Monitor end-to-end web transactions and take corrective actions now
>> > Troubleshoot faster and improve end-user experience. Signup Now!
>> >
>> http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140___
>> > TikiWiki-devel mailing list
>> > TikiWiki-devel at lists.sourceforge.net
>> > https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel
>>
>>
>>
>> ------------------------------------------------------------------------------
>> Site24x7 APM Insight: Get Deep Visibility into Application Performance
>> APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
>> Monitor end-to-end web transactions and take corrective actions now
>> Troubleshoot faster and improve end-user experience. Signup Now!
>> http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140
>> ___
>> TikiWiki-devel mailing list
>> TikiWiki-devel at lists.sourceforge.net
>> https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel

posts: 829 United Kingdom

All good with me now – thanks Nelson !



g



From: Nelson Ko mailto:nelson@synergiqsolutions.com
Sent: 17 January 2016 13:54
To: Tiki developers <tikiwiki-devel@lists.sourceforge.net>
Subject: Re: Tiki-devel some composer problems switching to trunk from 14.x



Fixed now: see https://github.com/composer/composer/issues/4782



On Sun, Jan 17, 2016 at 8:17 AM, Nelson Ko <nelson@synergiqsolutions.com <mailto:nelson@synergiqsolutions.com> > wrote:

Hi all,



This is a composer-Github issue. The bug report is here: https://github.com/composer/composer/issues/4782



The workaround I have used (temporarily, as composer might in fact fix it soon based on the reply to the bug report above) is to change the instances of "dist" type "zip" that point to github "urls" as follows. You do NOT need to change all the github addresses, only the ones that point to "dist" and "url". But please do NOT commit this change (as it's still a moving target to solve this at the moment and that will probably be messed up once composer.lock is regenerated anyway).



"dist": {

"type": "zip",

- "url": "https://github.com/blueimp/JavaScript-MD5/archive/1.1.0.zip",

+ "url": "https://codeload.github.com/blueimp/JavaScript-MD5/zip/1.1.0",






On Jan 17, 2016 7:26 AM, "Jonny Bradley" <jonny@tiki.org <mailto:jonny@tiki.org> > wrote:

Hi Geoff and all

Yes, this nearly scuppered yesterday's release marathon (but thanks to Nelson for persisting and hacking his way round it - new version of 14, 12, 9 and 6 to test - more on that soon!).

We're pretty certain it's not a tiki issue, something between composer and github, if you need to you can hack your composer.lock file adding "codeload." in front of all the github.com <http://github.com> urls (i think). Is this not also happening in trunk too?

Investigating... more soon.

jonny



> On 17 Jan 2016, at 09:10, Geoff - Enmore Services <geoff@enmoreservices.com <mailto:geoff@enmoreservices.com> > wrote:
>
> Hi – I've just 'switched' one of my test sites to svn trunk from svn 14.x (getting ready for 15.x branch testing) and I am now having problems when I run composer – which I do by running doc/devtools/svnup.sh.
>
> The original 14.x branch ran fine and the site is now on trunk 57239
>
> First problem:
>
> Composer\Downloader\TransportException
> The "https://github.com/Mottie/tablesorter/archive/v2.25.0.zip" file could not be downloaded: Peer certificate CN=`*.github.com <http://github.com> ' did not match expected CN=`github.com <http://github.com> '
> Failed to enable crypto
> failed to open stream: operation failed using CN=
>

> install --prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-plugins] [--no-custom-install ers] [--no-autoloader] [--no-scripts] [--no-progress] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|- -classmap-authoritative] [--ignore-platform-reqs] [-- <packages>...

>
>
> 2nd more serious problem since the site no longer runs and I just get this fatal error:
>
>
> Fatal error: Class 'Zend\Config\Config' not found in /home/xxxxxxx/opendev4.enmoreservices.com/db/tiki-db.php <http://opendev4.enmoreservices.com/db/tiki-db.php> on line 73
>
> Looking at the code this is the block from lines 72-79
>
> global $systemConfiguration;
> $systemConfiguration = new Zend\Config\Config(
> array(
> 'preference' => array(),
> 'rules' => array(),
> ),
> array('readOnly' => false)
> );
>
>
>
> Need some help/suggestions
>
> Thanks
>
> geoff
> No virus found in this message.
> Checked by AVG - www.avg.com <http://www.avg.com>
> Version: 2016.0.7294 / Virus Database: 4489/11420 - Release Date: 01/17/16
>
> ------------------------------------------------------------------------------
> Site24x7 APM Insight: Get Deep Visibility into Application Performance
> APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
> Monitor end-to-end web transactions and take corrective actions now
> Troubleshoot faster and improve end-user experience. Signup Now!
> http://pubads.g.doubleclick.net/gampad/clk?id=267308311 <http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140_> &iu=/4140_
> TikiWiki-devel mailing list
> TikiWiki-devel at lists.sourceforge.net <mailto:TikiWiki-devel@lists.sourceforge.net>
> https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel


------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=267308311 <http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140> &iu=/4140
___
TikiWiki-devel mailing list
TikiWiki-devel at lists.sourceforge.net <mailto:TikiWiki-devel@lists.sourceforge.net>
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel






-----
No virus found in this message.
Checked by AVG - www.avg.com
Version: 2016.0.7294 / Virus Database: 4489/11420 - Release Date: 01/17/16

posts: 126257 United Kingdom


So on the general issues we were having yesterday with composer, especially the problem where different version of php were installing different versions of libraries, i think adding this option might help:

--prefer-lowest

...when running the update command. I think we should also add --prefer-dist just in case.

Seems like we could do with a script to run this for us - a new console.php one? Or a little bash script?

jb




> On 17 Jan 2016, at 14:23, Geoff - Enmore Services <geoff@enmoreservices.com> wrote:
>
> All good with me now – thanks Nelson !
>
> g
>
> From: Nelson Ko mailto:nelson@synergiqsolutions.com
> Sent: 17 January 2016 13:54
> To: Tiki developers <tikiwiki-devel@lists.sourceforge.net>
> Subject: Re: Tiki-devel some composer problems switching to trunk from 14.x
>
>> Fixed now: see https://github.com/composer/composer/issues/4782
>>
>> On Sun, Jan 17, 2016 at 8:17 AM, Nelson Ko <nelson@synergiqsolutions.com> wrote:
>>>> Hi all,
>>>>
>>>> This is a composer-Github issue. The bug report is here: https://github.com/composer/composer/issues/4782
>>>>
>>>> The workaround I have used (temporarily, as composer might in fact fix it soon based on the reply to the bug report above) is to change the instances of "dist" type "zip" that point to github "urls" as follows. You do NOT need to change all the github addresses, only the ones that point to "dist" and "url". But please do NOT commit this change (as it's still a moving target to solve this at the moment and that will probably be messed up once composer.lock is regenerated anyway).
>>>>
>>>> "dist": {
>>>>
>>>> "type": "zip",
>>>>
>>>> - "url": "https://github.com/blueimp/JavaScript-MD5/archive/1.1.0.zip",
>>>>
>>>> + "url": "https://codeload.github.com/blueimp/JavaScript-MD5/zip/1.1.0",
>>>>
>>>>
>>>>
>>>>
>>>> On Jan 17, 2016 7:26 AM, "Jonny Bradley" <jonny@tiki.org> wrote:
>>>>> Hi Geoff and all
>>>>>
>>>>> Yes, this nearly scuppered yesterday's release marathon (but thanks to Nelson for persisting and hacking his way round it - new version of 14, 12, 9 and 6 to test - more on that soon!).
>>>>>
>>>>> We're pretty certain it's not a tiki issue, something between composer and github, if you need to you can hack your composer.lock file adding "codeload." in front of all the github.com urls (i think). Is this not also happening in trunk too?
>>>>>
>>>>> Investigating... more soon.
>>>>>
>>>>> jonny
>>>>>
>>>>>
>>>>>
>>>>> > On 17 Jan 2016, at 09:10, Geoff - Enmore Services <geoff@enmoreservices.com> wrote:
>>>>> >
>>>>> > Hi – I've just 'switched' one of my test sites to svn trunk from svn 14.x (getting ready for 15.x branch testing) and I am now having problems when I run composer – which I do by running doc/devtools/svnup.sh.
>>>>> >
>>>>> > The original 14.x branch ran fine and the site is now on trunk 57239
>>>>> >
>>>>> > First problem:
>>>>> >
>>>>> > Composer\Downloader\TransportException
>>>>> > The "https://github.com/Mottie/tablesorter/archive/v2.25.0.zip" file could not be downloaded: Peer certificate CN=`*.github.com' did not match expected CN=`github.com'
>>>>> > Failed to enable crypto
>>>>> > failed to open stream: operation failed using CN=
>>>>> >

>>>>> > install --prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-plugins] [--no-custom-install ers] [--no-autoloader] [--no-scripts] [--no-progress] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|- -classmap-authoritative] [--ignore-platform-reqs] [-- <packages>...

>>>>> >
>>>>> >
>>>>> > 2nd more serious problem since the site no longer runs and I just get this fatal error:
>>>>> >
>>>>> >
>>>>> > Fatal error: Class 'Zend\Config\Config' not found in /home/xxxxxxx/opendev4.enmoreservices.com/db/tiki-db.php on line 73
>>>>> >
>>>>> > Looking at the code this is the block from lines 72-79
>>>>> >
>>>>> > global $systemConfiguration;
>>>>> > $systemConfiguration = new Zend\Config\Config(
>>>>> > array(
>>>>> > 'preference' => array(),
>>>>> > 'rules' => array(),
>>>>> > ),
>>>>> > array('readOnly' => false)
>>>>> > );
>>>>> >
>>>>> >
>>>>> >
>>>>> > Need some help/suggestions
>>>>> >
>>>>> > Thanks
>>>>> >
>>>>> > geoff
>>>>> >
snip



------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140
___
TikiWiki-devel mailing list
TikiWiki-devel at lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel

posts: 9292 Germany

Hello Jonny,

Sunday, January 17, 2016, 7:46:10 PM, you wrote:


> So on the general issues we were having yesterday with composer,
> especially the problem where different version of php were
> installing different versions of libraries, i think adding this option might help:

> --prefer-lowest

> ...when running the update command. I think we should also add --prefer-dist just in case.

> Seems like we could do with a script to run this for us - a new
> console.php one? Or a little bash script?

Looks like the 14.x daily tarball (or rather 6-hourly) is back to its original size, too after failing for quite some time. :-)

--
Best regards,
Oliver


------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140
___
TikiWiki-devel mailing list
TikiWiki-devel at lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel

posts: 126257 United Kingdom


Hi Oliver,

That's good to hear, thanks! :-)

jonny

p.s. --prefer-lowest isn't what we need - that downgrades x.x.1 things to x.x.0, not good

> On 17 Jan 2016, at 18:57, Oliver Hertel <rom@readonly.de> wrote:
>
> Hello Jonny,
>
> Sunday, January 17, 2016, 7:46:10 PM, you wrote:
>
>
>> So on the general issues we were having yesterday with composer,
>> especially the problem where different version of php were
>> installing different versions of libraries, i think adding this option might help:
>
>> --prefer-lowest
>
>> ...when running the update command. I think we should also add --prefer-dist just in case.
>
>> Seems like we could do with a script to run this for us - a new
>> console.php one? Or a little bash script?
>
> Looks like the 14.x daily tarball (or rather 6-hourly) is back to its original size, too after failing for quite some time. :-)
>
> —
> Best regards,
> Oliver
>


------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=267308311&iu=/4140
___
TikiWiki-devel mailing list
TikiWiki-devel at lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel


Why Register?

Register at tiki.org and you'll be able to use the account at any *.tiki.org site, thanks to the InterTiki feature. A valid email address is required to receive site notifications and occasional newsletters. You can opt out of these items at any time.